.TH "Childsplay" "6" "May 2014" "Sergio Talens-Oliag" "Games"
.SH NAME
Childsplay \- Educational games for young children.
.SH SYNOPSIS
.B childsplay
[\fI\,options\/\fR]
.SH DESCRIPTION
.LP
Childsplay is a suite of educational games for young children; it is a fun and
save way to let young children use the computer and at the same time teach
them a little math, letters of the alphabeth, spelling, eye-hand coordination
etc.
.SH OPTIONS
.TP
\fB\-\-version\fR
show program's version number and exit
.TP
\fB\-h\fR, \fB\-\-help\fR
show this help message and exit
.TP
\fB\-\-no\-login\fR
Don't show login window. This will run schoolsplay in
\&'anonymous' mode which means that there will be no
data collecting
.TP
\fB\-\-kioskmode\fR
Enable kioskmode. This will run schoolsplay in
kioskmode which means that there will be no keyboard
support.
.TP
\fB\-\-remote\-mysqlserver\fR
(NOT USED YET)The ip nummer of the remote mySQL
server.
.TP
\fB\-t\fR THEME, \fB\-\-theme\fR=\fI\,THEME\/\fR
Set the theme schoolsplay will use.
.TP
\fB\-l\fR LOGLEVEL, \fB\-\-loglevel\fR=\fI\,LOGLEVEL\/\fR
Set logging level. Possible values are:
debug,info,warning,error,critical
.TP
\fB\-\-adminmode\fR
Enable adminmode. This will run schoolsplay in
adminmode which means that certain extra possibilities
are enabled
.TP
\fB\-\-no\-sound\fR
Disable any sound. Be aware that certain activities
that rely on sound won't start.
.TP
\fB\-\-no\-text\fR
Disable text before every level's activities.
.TP
\fB\-\-language\fR=\fI\,LANG\/\fR
Set the language schoolsplay should use. Be aware that
not all languages are supported yet. If your language
isn't supported and you want to provide language
support,please contact the schoolsplay team.
.TP
\fB\-\-default_language\fR=\fI\,DEFAULT_LANGUAGE\/\fR
Set the default language. Only use this if you know
why you want to use it.
.TP
\fB\-\-fullscreen\fR
Run schoolsplay in fullscreen mode.
.TP
\fB\-\-bigcursor\fR
Use a bigger (48x48) cursor.
.TP
\fB\-\-nocursor\fR
Hide the mouse cursor. This is intended for
touchscreens
.TP
\fB\-\-no\-exit\-question\fR
No 'are you sure?' questions will be asked
.TP
\fB\-\-no\-countdown\fR
No '4,3,2,1' countdown screen will displayed between
levels
.TP
\fB\-\-user\fR=\fI\,USER\/\fR
Set the username to be used for dbase actions
.TP
\fB\-\-no\-level\-pause\fR
Don't show graphics and don't play a sound between
levels.
.TP
\fB\-\-checklog\fR
Check the SP log for anomalies in the logs.
.TP
\fB\-\-crapware\fR
When running on wellknown crapware like the white MSI
1900 set this option and we try to work around the
various OS/hardware bugs.
.TP
\fB\-\-plainversion\fR
Return the version number in a plain string
.TP
\fB\-\-kill\-btp\fR=\fI\,KILL_BTP\/\fR
If we should kill any running btp, a pid must be
given. BTP is started again when childsplay quits.
(ONLY available on BTP machines)
.TP
\fB\-\-restart\-btp\fR=\fI\,RESTART_BTP\/\fR
If we killed any running btp, we use this to start BTP
again when childsplay quits. (ONLY available on BTP
machines)
.SH "SEE ALSO"
This manpage was written for the debian package using help2man as a starting
point.
.TP
For more documentation about the project go to http://www.childsplay.mobi/.
